1

I am a newer using GRASS. I have tried to open the data named "nc_spm_08". But it couldn't open because errors as fallows:

       __________  ___   __________    _______________

GRASS GIS homepage:                      http://grass.osgeo.org
This version running through:            Bash Shell (/bin/bash)
Help is available with the command:      g.manual -i
See the licence terms with:              g.version -c
See citation options with:               g.version -x
If required, restart the GUI with:       g.gui wxpython
When ready to quit enter:                exit

Launching <wxpython> GUI in the background, please wait...
GRASS 7.2.svn (nc_spm_08):~ > ERROR 1: dlopen(/Library/Application Support/GDAL/2.1/PlugIns/gdal_ECW_JP2ECW.dylib, 1): no suitable image found.  Did find:
    /Library/Application Support/GDAL/2.1/PlugIns/gdal_ECW_JP2ECW.dylib: mach-o, but wrong architecture
    /Library/Application Support/GDAL/2.1/PlugIns/gdal_ECW_JP2ECW.dylib: mach-o, but wrong architecture
ERROR 1: dlopen(/Library/Application Support/GDAL/2.1/PlugIns/gdal_ECW_JP2ECW.dylib, 1): no suitable image found.  Did find:
    /Library/Application Support/GDAL/2.1/PlugIns/gdal_ECW_JP2ECW.dylib: mach-o, but wrong architecture
    /Library/Application Support/GDAL/2.1/PlugIns/gdal_ECW_JP2ECW.dylib: mach-o, but wrong architecture
ERROR 1: dlopen(/Library/Application Support/GDAL/2.1/PlugIns/gdal_MG4Lidar.dylib, 1): Library not loaded: /Library/Application Support/GDAL/2.1/Libraries/liblti_lidar_dsdk.1.dylib
  Referenced from: /Library/Application Support/GDAL/2.1/PlugIns/gdal_MG4Lidar.dylib
  Reason: image not found
ERROR 1: dlopen(/Library/Application Support/GDAL/2.1/PlugIns/gdal_MG4Lidar.dylib, 1): Library not loaded: /Library/Application Support/GDAL/2.1/Libraries/liblti_lidar_dsdk.1.dylib
  Referenced from: /Library/Application Support/GDAL/2.1/PlugIns/gdal_MG4Lidar.dylib
  Reason: image not found
ERROR 1: dlopen(/Library/Application Support/GDAL/2.1/PlugIns/gdal_MrSID.dylib, 1): Library not loaded: /Library/Application Support/GDAL/2.1/Libraries/libltidsdk.9.dylib
  Referenced from: /Library/Application Support/GDAL/2.1/PlugIns/gdal_MrSID.dylib
  Reason: image not found
ERROR 1: dlopen(/Library/Application Support/GDAL/2.1/PlugIns/gdal_MrSID.dylib, 1): Library not loaded: /Library/Application Support/GDAL/2.1/Libraries/libltidsdk.9.dylib
  Referenced from: /Library/Application Support/GDAL/2.1/PlugIns/gdal_MrSID.dylib
  Reason: image not found
dyld: Library not loaded: /Library/Frameworks/GDAL.framework/Versions/1.11/GDAL
  Referenced from: /Applications/GRASS-7.2.app/Contents/MacOS/bin/g.version
  Reason: image not found
Unable to get GRASS version
dyld: Library not loaded: /Library/Frameworks/GDAL.framework/Versions/1.11/GDAL
  Referenced from: /Applications/GRASS-7.2.app/Contents/MacOS/bin/g.version
  Reason: image not found
Traceback (most recent call last):
  File "/Applications/GRASS-7.2.app/Contents/MacOS/scripts/g.extension", line 1726, in <module>
    version = grass_version['version'].split('.')
KeyError: 'version'
GRASS 7.2.svn (nc_spm_08):~ > 

I have installed all frameworks so I don't know how to do.

Could anyone help me?

  • Check GDAL supported formats using: "gdalinfo --formats", is JP2ECW included? Try to open your raster with "gdalinfo your_file", if it fails the problem is with GDAL not GRASS. – Zoltan Nov 7 '17 at 16:03
1

I have installed all frameworks so I don't know how to do.

  • You have not installed the GDAL 1.11 framework (dyld: Library not loaded: /Library/Frameworks/GDAL.framework/Versions/1.11/GDAL)
  • The rest are Gdal plugins, gdal_MG4Lidar, gdal_ECW_JP2ECW.dylib, gdal_MrSID.dylib, not indispensable for running Grass (only the GRASS plugin)

enter image description here

  • in the GRASS shell, type

    GRASS 7.2.svn (nc_spm_08):~ > g.gui wxpython

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.